unit DrgDrpEx2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, DragAndDrop, Grids;

type
  TForm2 = class(TForm)
    DragDrop1: TDragDrop;
    Panel1: TPanel;
    ListBox1: TListBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    StringGrid1: TStringGrid;
    ListBox2: TListBox;
    ListBox3: TListBox;
    Label4: TLabel;
    Label5: TLabel;
    Memo1: TMemo;
    GroupBox2: TGroupBox;
    Button3: TButton;
    Button4: TButton;
    Button1: TButton;
    Label6: TLabel;
    Button11: TButton;
    Button12: TButton;
    procedure ListBox1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure ListBox1DragOver(Sender, Source: TObject; X, Y: Integer;
      State: TDragState; var Accept: Boolean);
    procedure ListBox1DragDrop(Sender, Source: TObject; X, Y: Integer);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
    procedure Button12Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

uses DrgDrpEx1;

{$R *.DFM}

procedure TForm2.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  if key=VK_ESCAPE then application.terminate;
end;

procedure TForm2.Button1Click(Sender: TObject);
begin
  dragdrop1.Initialize;
end;

procedure TForm2.ListBox1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  DragDrop1.StartDragging(sender,button);
end;

procedure TForm2.ListBox1DragOver(Sender, Source: TObject; X, Y: Integer;
  State: TDragState; var Accept: Boolean);
begin
  accept:=DragDrop1.CheckDragOverPermission(sender,source);
end;

procedure TForm2.ListBox1DragDrop(Sender, Source: TObject; X, Y: Integer);
begin
  DragDrop1.DropItem(sender,source);
end;

procedure TForm2.Button2Click(Sender: TObject);
begin
  form2.hide;
  form1.show;
end;

procedure TForm2.Button4Click(Sender: TObject);
begin
  application.terminate;
end;

procedure TForm2.Button11Click(Sender: TObject);
begin
  dragdrop1.active:=true;
end;

procedure TForm2.Button12Click(Sender: TObject);
begin
  dragdrop1.active:=false;
end;

end.
